zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmort0.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
gxvmort0.c File Reference
`#include "gxvmort.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvmort

## Functions

static void | gxv_mort_subtable_type0_entry_validate (FT_Byte state, FT_UShort flags, GXV_StateTable_GlyphOffsetCPtr glyphOffset_p, FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_mort_subtable_type0_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Variables

static const char * | GXV_Mort_IndicScript_Msg []

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvmort

Definition at line 38 of file gxvmort0.c.

## Function Documentation

static void gxv_mort_subtable_type0_entry_validate | ( | FT_Byte | state,
|  | FT_UShort | flags,
|  | GXV_StateTable_GlyphOffsetCPtr | glyphOffset_p,
|  | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 64 of file gxvmort0.c.

References FT_INVALID_DATA, FT_UNUSED, GXV_Mort_IndicScript_Msg, GXV_SET_ERR_IF_PARANOID, GXV_TRACE, and GXV_StateTable_GlyphOffsetDesc_::u.

Referenced by gxv_mort_subtable_type0_validate().

gxv_mort_subtable_type0_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 126 of file gxvmort0.c.

References GXV_EXIT, GXV_GLYPHOFFSET_NONE, GXV_LIMIT_CHECK, gxv_mort_subtable_type0_entry_validate(), GXV_NAME_ENTER, GXV_STATETABLE_HEADER_SIZE, gxv_StateTable_validate(), and NULL.

Referenced by gxv_mort_subtables_validate().

## Variable Documentation

const char* GXV_Mort_IndicScript_Msg[]

static

Initial value:
=
{
"no change",
"Ax => xA",
"xD => Dx",
"AxD => DxA",
"ABx => xAB",
"ABx => xBA",
"xCD => CDx",
"xCD => DCx",
"AxCD => CDxA",
"AxCD => DCxA",
"ABxD => DxAB",
"ABxD => DxBA",
"ABxCD => CDxAB",
"ABxCD => CDxBA",
"ABxCD => DCxAB",
"ABxCD => DCxBA",
}

Definition at line 41 of file gxvmort0.c.

Referenced by gxv_mort_subtable_type0_entry_validate().